Update Room
curl --request PATCH \
--url https://app.aseed.ai/custdev/api/interviews/rooms/{room_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"research_goals_override": "<string>",
"interview_guide_override": "<string>",
"topics_for_respondent": "<string>",
"max_duration_minutes": 123,
"expires_at": "2023-11-07T05:31:56Z",
"clear_research_goals_override": false,
"clear_interview_guide_override": false,
"clear_topics_for_respondent": false,
"display_name": "<string>",
"clear_display_name": false
}
'import requests
url = "https://app.aseed.ai/custdev/api/interviews/rooms/{room_id}"
payload = {
"research_goals_override": "<string>",
"interview_guide_override": "<string>",
"topics_for_respondent": "<string>",
"max_duration_minutes": 123,
"expires_at": "2023-11-07T05:31:56Z",
"clear_research_goals_override": False,
"clear_interview_guide_override": False,
"clear_topics_for_respondent": False,
"display_name": "<string>",
"clear_display_name": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
research_goals_override: '<string>',
interview_guide_override: '<string>',
topics_for_respondent: '<string>',
max_duration_minutes: 123,
expires_at: '2023-11-07T05:31:56Z',
clear_research_goals_override: false,
clear_interview_guide_override: false,
clear_topics_for_respondent: false,
display_name: '<string>',
clear_display_name: false
})
};
fetch('https://app.aseed.ai/custdev/api/interviews/rooms/{room_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"project_id": "<string>",
"access_token": "<string>",
"url": "<string>",
"room_name": "<string>",
"max_duration_minutes": 123,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"record_id": "<string>",
"respondent_email": "<string>",
"research_goals_override": "<string>",
"interview_guide_override": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"voice": "<string>",
"realtime_provider": "<string>",
"language": "<string>",
"topics_for_respondent": "<string>",
"display_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}interviews
Update Room
Update an interview room.
Only rooms in ‘pending’ status can be updated. Use this to override project context for a specific interview.
Parameters:
- room_id: UUID of the room
- research_goals_override: Override research goals (null to clear)
- interview_guide_override: Override interview guide (null to clear)
- max_duration_minutes: New max duration
- expires_at: New expiration time
Returns:
- Updated room details
PATCH
/
api
/
interviews
/
rooms
/
{room_id}
Update Room
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request model for updating an interview room.
Maximum string length:
42Response
Successful Response
Response model for interview room details.
Maximum string length:
42Was this page helpful?
⌘I